package com.fdkankan.ucenter.vo.response;

import com.fdkankan.common.util.FileSizeUtil;
import lombok.Data;

@Data
public class CameraExcelVo {
    private Long cameraId;                    //S/N码
    private String snCode;                      //
    private String totalSpaceStr;               //云容量
    private Long totalSpace;               //云容量
    private Long usedSpace;               //云容量
    private String UsedSpaceStr;               //云容量
    private String spaceEndStr;                 //到期时间
    private String cooperationUser;             //协作者
    private String sceneCount;                  //拍摄场景数量
    private String lastTime;                    //最后拍摄时间
    private Integer isExpired;                    //最后拍摄时间

    public String getTotalSpaceStr() {
        if(totalSpace == null){
            return "0GB";
        }
       return FileSizeUtil.formatFileSize(totalSpace);
    }

    public String getUsedSpaceStr() {
        if(usedSpace == null){
            return "0GB";
        }
        return FileSizeUtil.formatFileSize(usedSpace);
    }
}
